edu.isi.pegasus.planner.invocation

## Class SimpleServerThread

- java.lang.Object
- - java.lang.Thread
  - - edu.isi.pegasus.planner.invocation.SimpleServerThread

All Implemented Interfaces:
  java.lang.Runnable

    public class SimpleServerThread
    extends java.lang.Thread

### Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Thread

`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

### Field Summary

Fields
`(package private) static int` `c_cdone`
`(package private) static int` `c_count`
`private static org.apache.log4j.Logger` `c_logger`
`private java.lang.String` `m_remote`
`private SimpleServer` `m_server`
`private java.net.Socket` `m_socket`

### Fields inherited from class java.lang.Thread

`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

### Constructor Summary

Constructors
Constructor and Description
`SimpleServerThread(SimpleServer me, java.net.Socket socket)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `log(org.apache.log4j.Level l, java.lang.String msg)`
`void` `run()`

### Methods inherited from class java.lang.Thread

`activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### m_remote

    private java.lang.String m_remote

#### m_socket

    private java.net.Socket m_socket

#### m_server

    private SimpleServer m_server

#### c_logger

    private static org.apache.log4j.Logger c_logger

#### c_count

    static int c_count

#### c_cdone

    static int c_cdone

### Constructor Detail

#### SimpleServerThread

    public SimpleServerThread(SimpleServer me,
                              java.net.Socket socket)

### Method Detail

#### log

    public void log(org.apache.log4j.Level l,
                    java.lang.String msg)

#### run

    public void run()

Specified by:
  `run` in interface `java.lang.Runnable`
Overrides:
  `run` in class `java.lang.Thread`